#
# Universal USB Driver
# --------------------
#
# Distributed under the terms of the GNU Public License Version 2
# See files COPYRIGHT and COPYING at the root distribution directory
#
# PPC Stuff for iMac by Paul Mackerras <paulus@cs.anu.edu.au>
#
# Common make stuff for compiling stand-alone modules

ifndef TOPDIR
export NOT_IN_LINUX_KERNEL := 1
else
# Check this when recursive making ...
ifndef NOT_IN_LINUX_KERNEL
export IN_LINUX_KERNEL := 1
endif
endif


ifdef NOT_IN_LINUX_KERNEL

ifdef LINUXDIR
export TOPDIR		 := $(LINUXDIR)
else
export TOPDIR		 := /usr/src/linux
endif

VERSION = $(shell $(CONFIG_SHELL) grep ^VERSION $(TOPDIR)/Makefile | cut -d' ' -f3)
PATCHLEVEL = $(shell $(CONFIG_SHELL) grep ^PATCHLEVEL $(TOPDIR)/Makefile | cut -d' ' -f3)
SUBLEVEL = $(shell $(CONFIG_SHELL) grep ^SUBLEVEL $(TOPDIR)/Makefile | cut -d' ' -f3)

export KERNEL_OPT	 = -D__KERNEL__ -I$(TOPDIR)/include
export KERNEL_OPT	+= -DEXPORT_SYMTAB -DMODULE  -DMODVERSIONS -include $(TOPDIR)/include/linux/modversions.h 
export WARNINGS		 = -Wall -Wstrict-prototypes
ifdef CONFIG_PPC
export COMPILE		 = -O2 -fomit-frame-pointer -D__powerpc__ -fsigned-char
export COMPILE    	+= -msoft-float -pipe -fno-builtin -ffixed-r2
export COMPILE    	+= -mmultiple -mstring
else
export COMPILE		 = -O2 -fomit-frame-pointer -pipe -fno-strength-reduce -m486
export COMPILE    	+= -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586
endif
export LD			 = ld
export LD_RFLAG		 = -r
export LD_OPT		 = -r
export CFLAGS		 = $(KERNEL_OPT) $(WARNINGS) $(COMPILE)
# for genksyms to work
export CFLAGS        += -I.
export HOSTCC  	     = gcc
export HOSTCFLAGS	 = -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
export GENKSYMS=/sbin/genksyms
ifeq ($(TOPDIR)/.config,$(wildcard $(TOPDIR)/.config))
include $(TOPDIR)/.config  
endif

endif    # NOT_IN_LINUX_KERNEL


# USB Options
# -----------

export EXTRA_CFLAGS += -g -D__UUSBD__
export MODULES_FILE := $(TOPDIR)/drivers/uusbd/.modules-list

