
/* USB Communications Class Devices Driver v$Revision: 1.3 $ 
 *
 * (C) 1998 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: class-generic.c,v 1.3 1998/11/14 17:18:04 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     Communications Class Driver - Generic stuff
 *     -------------------------------------------
 */

#include <uusbd/usbd.h>

#define GDLF_IDENT          "USB-CDCD"
#define GDLF_LOCAL          /* Define if want local settings */
#define GDLF_DEF_LOGLEVEL   9
#define GDLF_ASSERTIONS     /* want assertions (#undef if not) */
#define GDLF_FNTRACE        /* want function traces */
#define GDLF_LOCATIONS      /* want locations in log messages */
#include <uusbd/gdlf.h>

#include <uusbd/usb-cdcd.h>


ts_cdcd* ts_cdcd_init (void)
{
    ts_cdcd* cdcd;
    
    gdlf_fntrace ("ts_cdcd_init (void)");
    cdcd = usb_kmalloc (sizeof (ts_cdcd), GFP_KERNEL);
    if (cdcd == NULL)
    {
        gdlf_err ("Cannot allocate space for a "
                  "ts_cdcd structure\n");
        return NULL;
    }
    ts_cdcd_clean (cdcd);
    return cdcd;              
}


void ts_cdcd_release (ts_cdcd* cdcd)
{
    gdlf_fntrace ("ts_cdcd_release (0x%p)", cdcd);
    gdlf_aassert (cdcd != NULL, return);
    gdlf_assert (cdcd->snode.dtor.fn == (tf_dtor)cdcd_destroy);
#warning FIXME: release class stuff
    return;
}


/* Log:
 *
 * $Log: class-generic.c,v $
 * Revision 1.3  1998/11/14 17:18:04  inaky
 * Linkage into the kernel made possible. Moved the include files to
 * uusbd/include/uusbd, to ease integration into the Linux kernel.
 *
 * Revision 1.2  1998/10/14 21:44:48  inaky
 * Moved the management code here from the header file.
 *
 * Revision 1.1  1998/10/13 22:58:38  inaky
 * First embrionical CDCD driver
 *
 * Revision 1.6  1998/08/29 00:07:21  inaky
 * Actualized.
 *
 * Revision 1.5  1998/01/08 12:19:20  inaky
 * Added copyright strings to all important files
 *
 * Revision 1.4  1998/01/01 16:11:41  inaky
 * Fixed bug, a couple _init routines where returning NULL instead of the
 * pointer :)
 *
 * Revision 1.3  1997/12/31 05:37:46  inaky
 * Fixed some craps.
 *
 * Revision 1.2  1997/12/30 22:30:35  inaky
 * Fixed some bugs.
 *
 * Revision 1.1  1997/12/30 20:18:04  inaky
 * Generic class structure handlings.
 *
 */

