
/* USB Driver Stack v$Revision: 1.6 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: hubd-symtab.c,v 1.6 1998/11/14 17:20:34 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     Hub driver symbol table export
 *     ------------------------------
 *
 *  Here we export all the symbols which will be needed by the rest of
 * the modules to use us.
 */


#include <linux/config.h>
#define __NO_VERSION__
#include <linux/module.h>
#include <uusbd/usb-hubd.h>

    /* driver.c */

EXPORT_SYMBOL(hubd_driver);
EXPORT_SYMBOL(hubd_operations);
EXPORT_SYMBOL(hubd_init);
EXPORT_SYMBOL(hubd_release);
EXPORT_SYMBOL(hubd_shutdown);
EXPORT_SYMBOL(hubd_config);
EXPORT_SYMBOL(hubd_unconfig);
EXPORT_SYMBOL(hubd_reference);


    /* hkeep.c */

EXPORT_SYMBOL(hubd_free);

    /* requests.c */

EXPORT_SYMBOL(hubd_descriptor_get);
EXPORT_SYMBOL(hubd_descriptor_set);
EXPORT_SYMBOL(hubd_descriptor_fill);
EXPORT_SYMBOL(hubd_status_get);
EXPORT_SYMBOL(hubd_bus_status_get);
EXPORT_SYMBOL(hubd_feature);


    /* ports.c */

EXPORT_SYMBOL(hubd_port_feature);
EXPORT_SYMBOL(hubd_port_status_get);
EXPORT_SYMBOL(hubd_port_reset);


/* Log:
 *
 * $Log: hubd-symtab.c,v $
 * Revision 1.6  1998/11/14 17:20:34  inaky
 * Moved the include files to uusbd/include/uusbd, to ease integration
 * into the Linux kernel.
 *
 * Revision 1.5  1998/06/21 20:08:21  inaky
 * Added missing symbols and rm'd unused ones.
 *
 * Revision 1.4  1998/06/20 21:55:18  inaky
 * Massive changes to split the old monolithic hubd driver into a hub
 * manager (hub wrappers and daemon) and a dynamic driver, which can be
 * replaced and its different parts reused.
 *
 * Revision 1.3  1998/01/08 12:19:19  inaky
 * Added copyright strings to all important files
 *
 * Revision 1.2  1997/12/30 20:14:59  inaky
 * Moved to the new lists code. Untested yet.
 *
 * Revision 1.1  1997/12/29 00:26:16  inaky
 * Moving the khubdd to use signals as commands.
 *
 * Revision 1.9  1997/12/27 18:10:32  inaky
 * *** empty log message ***
 *
 * Revision 1.8  1997/12/27 16:44:24  inaky
 * Moving to GDLF and fixinf docs. Removing more cruft.
 *
 * Revision 1.7  1997/12/27 14:01:14  inaky
 * Added the symbols exported by usb-pci.c
 *
 * Revision 1.6  1997/12/27 02:07:01  inaky
 * Moving everything to use the GDLF for logging and debug checkings.
 * Removed the global array of USB hosts and moved it to a linked
 * list. Added an address field to each USB host controller.
 * Removed lots of cruft that were accumulated and useless. Still some
 * missing, but may be useful someday.
 *
 * Revision 1.5  1997/12/27 02:05:59  inaky
 * Moving everything to use the GDLF for logging and debug checkings.
 * Removed the global array of USB hosts and moved it to a linked
 * list. Added an address field to each USB host controller.
 * Removed lots of cruft that were accumulated and useless. Still some
 * missing, but may be useful someday.
 *
 * Revision 1.4  1997/12/08 02:40:58  inaky
 * Fixed some stuff of the #includes, modified the makefile targets to be
 * more flexible, tried to finish the device configuration section.
 *
 * Revision 1.3  1997/12/06 01:55:48  inaky
 * Now finishing the configuration system
 *
 * Revision 1.2  1997/11/29 20:21:48  inaky
 * Documented and almost fixes the read/write/abort API, documented a
 * damn lot and implemented some stuff
 *
 * Revision 1.1  1997/10/02 21:29:00  inaky
 * Remade all the directory structure to make it cleaner when the USB
 * class drivers come.
 *
 * Revision 1.1  1997/02/22 22:25:44  inaky
 * *** empty log message ***
 *
 *
 */


