
/* USB Driver Stack v$Revision: 1.8 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: hubm.h,v 1.8 1998/11/14 17:16:20 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     Hub Manager - Internal stuff
 *     ----------------------------
 */

#ifndef _hubm_h_
#define _hubm_h_

#include <uusbd/usb-hub.h>    /* the whole stuff */

    /* khubdd.c */

extern struct wait_queue *wq;
extern int pid;
extern char command;

struct s_dqueue
{
    char command;
    ts_usb_hub *hub;
};

extern volatile struct s_dqueue dqueue[];
extern rwlock_t dqueue_lock;

    /* hubm-stch.c */ 

extern int usb_hub_status_change (ts_usb_hub*);
extern int usb_hub_local_power_change (ts_usb_hub*);
extern int usb_hub_overcurrent_change (ts_usb_hub*);

#endif /* _hubm_h_ */


/* Log:
 *
 * $Log: hubm.h,v $
 * Revision 1.8  1998/11/14 17:16:20  inaky
 * Moved the include files to uusbd/include/uusbd, to ease integration
 * into the Linux kernel.
 *
 * Revision 1.7  1998/10/14 21:38:11  inaky
 * Added a per-entry command in dqueue's to allow each entry to have
 * different actions.
 *
 * Revision 1.6  1998/09/14 02:29:30  inaky
 * The queue for khubdd is composed now of hubs, not trs ... it was quite
 * stupid :)
 *
 * Revision 1.5  1998/08/03 13:24:00  inaky
 * Moved the khubdd command variable to be volatile, just in case ... :)
 *
 * Revision 1.4  1998/07/23 14:19:47  inaky
 * Renamed the ts_usb_trbuf struct to ts_usb_tr.
 *
 * Revision 1.3  1998/07/16 14:04:26  inaky
 * Moved from the old read/write interface to the new, request-based
 * interface.
 *
 * Revision 1.2  1998/07/01 22:00:55  inaky
 * Fixed the status change declaration.
 *
 * Revision 1.1  1998/06/20 21:54:49  inaky
 * Massive changes to split the old monolithic hubd driver into a hub
 * manager (hub wrappers and daemon) and a dynamic driver, which can be
 * replaced and its different parts reused.
 *
 */

