
/* USB Driver Stack v$Revision: 1.1 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: usb-hcd.h,v 1.1 1998/11/14 00:38:26 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     USB Host Controller Driver
 *     --------------------------
 *
 * Headers for using the HCI managing functions of UUSBD.
 *
 *  The structure here is a linked list of HCI (Host Controller
 * Interfaces), holding each one an structure where they keep their
 * accounting information, as well as a list of registered host
 * controllers, meaning here host controller the HCI part of a host
 * controller. 
 */


#ifndef _usb_hcd_h_
#define _usb_hcd_h_

#ifdef __KERNEL__
extern int usb_hci_register (ts_usb_hci*);
extern int usb_hci_unregister (ts_usb_hci*);
extern int usb_hci_release (ts_usb_hci*);
extern int usb_hci_destroy (ts_usb_hci*);

extern int usb_hci_register_host (ts_usb_hci*, ts_snode*);
extern int usb_hci_unregister_host (ts_usb_hci*, ts_snode*);
#endif /* __KERNEL__ */

#endif /* _usb_hcd_h_ */

/* Log:
 *
 * $Log: usb-hcd.h,v $
 * Revision 1.1  1998/11/14 00:38:26  inaky
 * Isolated all the header files
 *
 * Revision 1.5  1998/01/08 12:19:08  inaky
 * Added copyright strings to all important files
 *
 * Revision 1.4  1997/12/31 18:30:02  inaky
 * Finished adapting the UHCI module to the new HCD driver
 *
 * Revision 1.3  1997/12/31 16:37:11  inaky
 * Finished the HCI interface
 *
 * Revision 1.2  1997/12/31 05:37:00  inaky
 * Almost finished all the lists and life cycle for hosts, drivers and
 * devices. Some craps to be fixed yet.
 *
 * Revision 1.1  1997/12/30 22:30:17  inaky
 * Added the foundations of the HCD and fixed some bugs.
 *
 * Revision 1.1  1997/12/30 00:03:45  inaky
 * Adding a generic system to handle singly linked lists and the HCD
 * registration control system
 *
 */
