
/* USB Driver Stack v$Revision: 1.1 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: usb-pci.h,v 1.1 1998/11/14 00:38:27 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     PCI operations
 *     --------------
 *
 * This code is suppossed to do PCI handling ... docs at the source
 * code file, usb-pci.c.
 *
 */

#ifndef _usb_pci_h_
#define _usb_pci_h_

#ifdef __KERNEL__

#include <linux/config.h>

#ifdef CONFIG_PCI

#include <linux/pci.h>

#define USB_PCI_CLASS PCI_CLASS_SERIAL_USB << 8

#define USB_PIIX3   0x80867020
#define USB_CMD_670 0x10957020

    /* PCI associated data types */

typedef __u8    t_pci_bus;
typedef __u8    t_pci_function;
typedef __u8    t_pci_addr;
typedef __u16   t_pci_dev_id;
typedef __u16   t_pci_vendor_id;

#define __USB_CONFIG_PCI_INIT(a) a

extern __u8 usb_pci_bits8   (struct pci_dev*, t_pci_addr, __u8, __u8);
extern __u16 usb_pci_bits16 (struct pci_dev*, t_pci_addr, __u16, __u16);
extern __u32 usb_pci_bits32 (struct pci_dev*, t_pci_addr, __u32, __u32);

#else   /* CONFIG_PCI */

#define __USB_CONFIG_PCI_INIT(a)

#endif /* CONFIG_PCI */
#endif /* __KERNEL__ */
#endif /* _usb_pci_h_ */

/* Log:
 *
 * $Log: usb-pci.h,v $
 * Revision 1.1  1998/11/14 00:38:27  inaky
 * Isolated all the header files
 *
 * Revision 1.13  1998/09/14 02:34:22  inaky
 * Fixed calling of the usb pci class macro.
 *
 * Revision 1.12  1998/08/24 15:47:22  inaky
 * Fixed little cosmetic stuff, removed old files.
 *
 * Revision 1.11  1998/05/01 19:05:44  inaky
 * Removed PCI functions which are now unnecessary and moved everything
 * to the new kernel PCI API.
 *
 * Revision 1.10  1998/01/08 12:19:09  inaky
 * Added copyright strings to all important files
 *
 * Revision 1.9  1997/12/27 16:44:24  inaky
 * Moving to GDLF and fixinf docs. Removing more cruft.
 *
 * Revision 1.8  1997/12/27 13:58:22  inaky
 * Moved to GDLF, removed cruft, moved everything for PCI from usb.h here
 * and also removed stale #includes
 *
 * Revision 1.7  1997/12/27 02:07:02  inaky
 * Moving everything to use the GDLF for logging and debug checkings.
 * Removed the global array of USB hosts and moved it to a linked
 * list. Added an address field to each USB host controller.
 * Removed lots of cruft that were accumulated and useless. Still some
 * missing, but may be useful someday.
 *
 * Revision 1.6  1997/12/08 02:40:59  inaky
 * Fixed some stuff of the #includes, modified the makefile targets to be
 * more flexible, tried to finish the device configuration section.
 *
 * Revision 1.5  1997/12/06 00:19:40  inaky
 * Almost finished the usbd/host, usbd/cfg and a lot of meat from
 * usbd/device. Also added the driver definition. Got to polish it yet
 * ...
 *
 * Revision 1.4  1997/07/03 20:00:03  inaky
 * Moved all the hw dependencies to the HCD module, modified the
 * controller detections stuff to use just PCI means (okay, other buses
 * to come, but when they come). General fixes, but no really new deep
 * enhancements.
 *
 * Revision 1.3  1997/06/22 19:54:31  inaky
 * Seems that the moving of all the hw dependants stuff to the HCI
 * modules is done. Got to test it yet, but at least it compiles cleanly.
 *
 * Revision 1.2  1997/02/24 22:29:50  inaky
 * Hmmm ... I'm getting trouble with the IO ports. I guess I'm writing to
 * the bad places. Moved the PCI initialization code to a function (to
 * make it easier to read; on the other hand, it begins to seem Spaghetti
 * Basic :).
 *
 * Revision 1.1  1997/02/22 22:25:44  inaky
 * *** empty log message ***
 *
 *
 */






















