
/* USB Driver Stack v$Revision: 1.1 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: lists.c,v 1.1 1998/11/14 00:43:10 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     OHCI stuff - Lists code
 *     -----------------------
 */


#include <uusbd/usbd.h>
#include <uusbd/usb-hub.h>
#include <uusbd/usb-misc.h>

#define GDLF_IDENT          "USB-OHCI"
#define GDLF_LOCAL          /* Define if want local settings */
#define GDLF_DEF_LOGLEVEL   9
#define GDLF_ASSERTIONS     /* want assertions (#undef if not) */
#define GDLF_FNTRACE        /* want function traces */
#define GDLF_LOCATIONS      /* want locations in log messages */
#include <uusbd/gdlf.h>

#include "ohci.h"


ts_ohci_endp* ed_list_prev (ts_ohci_endp* head, ts_ohci_endp* endp)
{
    __u32 physical;
    
    gdlf_fntrace ("ed_list_prev (0x%p, 0x%p)", head, endp);
    gdlf_aassert (endp != NULL, return NULL);

    physical = kvoid2ptr (endp) >> 4;

    while (head != NULL)
        if (head->ed.nexted == physical)
            return head;
        else
            head = head->ed.nexted? ptr2kvoid (head->ed.nexted) : NULL;

    return NULL;
}


/*
 * $Log: lists.c,v $
 * Revision 1.1  1998/11/14 00:43:10  inaky
 * *** empty log message ***
 *
 */
