
/* USB Driver Stack v$Revision: 1.2 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: usb-avmq.h,v 1.2 1998/11/14 17:43:41 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     AVM Quirks
 *     ----------
 *
 *  Sample driver for testing and reference. Note the joke :)
 *
 */

#ifndef _usb_avmq_h_
#define _usb_avmq_h_

#include <uusbd/usb-stddesc.h>    /* Standard USB descriptors */

#define AVMQ_USB_VENDOR 0x057c
#define AVMQ_B1_USB     0x0b00

#ifdef __KERNEL__

    /* Class interface to configuration, quirk handler (cfg.c) */

extern int avmq_config (ts_usb_cfel*, ts_usb_device*, 
                        ts_usb_cfg*, t_usb_cfg, 
                        ts_usb_iface*, t_usb_iface, 
                        ts_usb_aset*, t_usb_aset, __u32);
extern int avmq_unconfig (ts_usb_device*, unsigned);

    /* Driver housekeeping (driver.c) */

extern ts_usb_driver *avmq_driver;
extern int avmq_init (void);
extern int avmq_release (void);
extern int avmq_shutdown (void);
extern int avmq_reference (ts_usb_device*, int);
#endif /* __KERNEL__ */

#endif /* _usb_avmq_h_ */


/* Log:
 *
 * $Log: usb-avmq.h,v $
 * Revision 1.2  1998/11/14 17:43:41  inaky
 * Moved the include files to uusbd/include/uusbd, to ease integration
 * into the Linux kernel.
 *
 * Revision 1.1  1998/10/31 02:22:17  inaky
 * Makefile to generate the quirk modules for AVM devices.
 *
 */

