
/* USB Driver Stack v$Revision: 1.2 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: stuff.c,v 1.2 1998/01/08 12:19:19 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     FILE DESCRIPTION
 *     ----------------
 *
 * LONG FILE DESCRIPTION
 *
 */


char                  usb_chardev = 0;    /* Flag to track if we've allocated a char device (0 = nope) */

glue()
{
    if (usb_chardev)            /* deallocate the char device if allocated */
    {
        errcode2 = unregister_chrdev (USB_MAJOR, USB_CTL_STR);
        if (errcode2)
        {
            gdlf_warning ("Couldn't unregister char device %d\n",
                          USB_MAJOR);
            errcode1 = errcode2;
        }
    }            

        /* 
         * Allocation of the char device for USB RAW
         * communications. Complain and exit with error if unable to
         * allocate it.
         */

    if (register_chrdev (USB_MAJOR, USB_CTL_STR, &fops))
    {
        gdlf_err ("Unable to get major device number "
                  "%d! Aborting!!\n", USB_MAJOR);
        usb_chardev = 0;
        usb_shutdown();         /* clean */
        return -ENXIO;          /* FIXME: A better errno code? */
    }                    
    usb_chardev = 1;            /* we've got a chardev allocated */
}

