
/* USB Driver Stack v$Revision: 1.3 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: usb-rawd.h,v 1.3 1998/08/24 15:47:29 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     UUSBD Raw Driver
 *     ----------------
 *
 *  Header file for the UUSBD Raw Driver, which allows to read and
 * write directly to/from USB endpoints as if they were normal Unix
 * file descriptors.
 */


#ifndef _usb_rawd_h_
#define _usb_rawd_h_

#include <usb.h>

    /* Device number allocations */

#define USB_MAJOR 63
#define USB_MINOR 0

    /* 
     * USB IOCTLs 
     * ---------- 
     *
     * IOCTL commands for controlling the USB from user-land
     *
     */

#define USB_IOCTL_SET_DST       0x01    /* Set full destination (arg = ts_usb_addr* describing destination) */
#define USB_IOCTL_SET_DST_HOST  0x02    /* Set destination host (arg = destination host number) */
#define USB_IOCTL_SET_DST_DEV   0x03    /* Set destination device (arg = destination device number) */
#define USB_IOCTL_SET_DST_ENDP  0x04    /* Set destination endpoint (arg = destination endpoint number) */

#endif /* _usb_rawd_h_ */

/* Log:
 *
 * $Log: usb-rawd.h,v $
 * Revision 1.3  1998/08/24 15:47:29  inaky
 * Fixed little cosmetic stuff, removed old files.
 *
 * Revision 1.2  1998/01/08 12:19:19  inaky
 * Added copyright strings to all important files
 *
 * Revision 1.1  1998/01/02 20:52:14  inaky
 * Moved some old stuff to this file to be reused
 *
 */
