
/* USB Driver Stack v$Revision: 1.7 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: usb-symtab.c,v 1.7 1998/11/14 17:15:18 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *     Symbol table export
 *     -------------------
 *
 *  Here we export all the symbols which will be needed by the rest of
 * the modules to use us.
 *
 */

#include <linux/config.h>
#define __NO_VERSION__
#include <linux/module.h>
#undef __NO_VERSION__

#include <uusbd/usb.h>
#include <uusbd/usb-mm.h>
#include <uusbd/usbd.h>
#include <uusbd/usb-pci.h>
#include <uusbd/usb-hcd.h>
#include <uusbd/usb-slist.h>
#include <uusbd/usb-misc.h>

    /* usb-pci.[ch] */

#ifdef CONFIG_PCI
EXPORT_SYMBOL (usb_pci_bits8);
EXPORT_SYMBOL (usb_pci_bits16);
EXPORT_SYMBOL (usb_pci_bits32);
#endif /* CONFIG_PCI */

#ifdef USB_KMALLOC
EXPORT_SYMBOL (__usb_free_pages);
EXPORT_SYMBOL (__usb_get_free_pages);
EXPORT_SYMBOL (__usb_kfree);
EXPORT_SYMBOL (__usb_kmalloc);
EXPORT_SYMBOL (__usb_kmalloc_align_d);
EXPORT_SYMBOL (__usb_realloc);
#endif
EXPORT_SYMBOL (__usb_kmalloc_align);
EXPORT_SYMBOL (__usb_realloc_d);

EXPORT_SYMBOL (log2table);
EXPORT_SYMBOL (e_usb_tr_status_2_errno);
EXPORT_SYMBOL (ts_3snode_release);
EXPORT_SYMBOL (ts_slist_del);
EXPORT_SYMBOL (ts_slist_move);
EXPORT_SYMBOL (ts_slist_prep);
EXPORT_SYMBOL (ts_snode_printk);
EXPORT_SYMBOL (ts_snode_release);
EXPORT_SYMBOL (ts_usb_driver_init);
EXPORT_SYMBOL (ts_usb_drv_use_destroy);
EXPORT_SYMBOL (ts_usb_hci_release);
EXPORT_SYMBOL (ts_usb_hci_init);
EXPORT_SYMBOL (ts_usb_host_release);
EXPORT_SYMBOL (ts_usb_host_init);
EXPORT_SYMBOL (ts_usb_hub_release);
EXPORT_SYMBOL (ts_usb_hub_init);
EXPORT_SYMBOL (ts_usb_port_a_init);
EXPORT_SYMBOL (ts_usb_open_release);
EXPORT_SYMBOL (usb_close);
EXPORT_SYMBOL (usb_configuration_set);
EXPORT_SYMBOL (usb_device_reset);
EXPORT_SYMBOL (usb_device_status_get);
EXPORT_SYMBOL (usb_drv_destroy);
EXPORT_SYMBOL (usb_drv_reference);
EXPORT_SYMBOL (usb_drv_register);
EXPORT_SYMBOL (usb_drv_release);
EXPORT_SYMBOL (usb_drv_release_use);
EXPORT_SYMBOL (usb_drv_unregister);
EXPORT_SYMBOL (usb_dst_check);
EXPORT_SYMBOL (usb_dst_dev_set);
EXPORT_SYMBOL (usb_dst_endp_set);
EXPORT_SYMBOL (usb_dst_endp_unset);
EXPORT_SYMBOL (usb_dst_host_set);
EXPORT_SYMBOL (usb_dump_bytes);
EXPORT_SYMBOL (usb_endp_status_get);
EXPORT_SYMBOL (usb_endp_feature);
EXPORT_SYMBOL (usb_errno);
EXPORT_SYMBOL (usb_hci_destroy);
EXPORT_SYMBOL (usb_hci_register);
EXPORT_SYMBOL (usb_hci_register_host);
EXPORT_SYMBOL (usb_hci_release);
EXPORT_SYMBOL (usb_hci_unregister);
EXPORT_SYMBOL (usb_hci_unregister_host);
EXPORT_SYMBOL (usb_host_destroy);
EXPORT_SYMBOL (usb_host_hci);
EXPORT_SYMBOL (usb_host_register);
EXPORT_SYMBOL (usb_host_unregister);
EXPORT_SYMBOL (usb_hub_host_rm);
EXPORT_SYMBOL (usb_hub_register);
EXPORT_SYMBOL (usb_hub_schedule_status_change);
EXPORT_SYMBOL (usb_hub_status_callback);
EXPORT_SYMBOL (usb_hub_status_poll);
EXPORT_SYMBOL (usb_hub_unregister);
EXPORT_SYMBOL (usb_open);
EXPORT_SYMBOL (usb_request_data);
EXPORT_SYMBOL (usb_request_dataless);
EXPORT_SYMBOL (usb_tr_abort);
EXPORT_SYMBOL (usb_tr_destroy);
EXPORT_SYMBOL (usb_tr_insert);
EXPORT_SYMBOL (usb_tr_remove);
EXPORT_SYMBOL (usb_tr_reset);
EXPORT_SYMBOL (usb_tr_run);
EXPORT_SYMBOL (usb_tr_setdn);
EXPORT_SYMBOL (usb_tr_setup);

    /* 
     * Okay, I know, a lot more are needed FIXME
     */


/* Log:
 *
 * $Log: usb-symtab.c,v $
 * Revision 1.7  1998/11/14 17:15:18  inaky
 * Moved the include files to uusbd/include/uusbd, to ease integration
 * into the Linux kernel.
 *
 * Revision 1.6  1998/11/09 21:25:01  inaky
 * Added more needed symbols.
 *
 * Revision 1.5  1998/10/31 02:09:13  inaky
 * Added the logarithm table.
 *
 * Revision 1.4  1998/10/14 21:42:46  inaky
 * Added new khubdd method.
 *
 * Revision 1.3  1998/09/24 15:52:53  inaky
 * Added new needed symbols and moved 'hub_port' to 'port'.
 *
 * Revision 1.2  1998/09/14 02:34:38  inaky
 * Added new symbols for drivers to use'em
 *
 * Revision 1.1  1998/09/11 19:44:38  inaky
 * Renamed to avoid name clashes on linux/include/modules
 *
 * Revision 1.24  1998/08/30 13:44:32  inaky
 * Added new functions.
 *
 * Revision 1.23  1998/08/27 11:14:35  inaky
 * Moved ts_*_free() to ts_*_release(), made them return void and severed
 * assertions.
 *
 * Revision 1.22  1998/08/24 02:17:25  inaky
 * Added needed functions.
 *
 * Revision 1.21  1998/08/19 23:46:30  inaky
 * Added needed symbols.
 *
 * Revision 1.20  1998/08/03 13:26:41  inaky
 * Added new exportable functions.
 *
 * Revision 1.19  1998/07/30 22:57:35  inaky
 * Added symbols to export.
 *
 * Revision 1.18  1998/07/28 23:19:15  inaky
 * Added needed symbols [which btw, will probably be discarded].
 *
 * Revision 1.17  1998/07/16 14:05:58  inaky
 * prettyprinted and added usb_hci_destroy.
 *
 * Revision 1.16  1998/06/21 20:10:50  inaky
 * Added lot of new symbols. Still another lot missing.
 *
 * Revision 1.15  1998/05/01 19:05:18  inaky
 * Removed old pci functions which are now unnecessary.
 *
 * Revision 1.14  1998/02/10 17:23:50  inaky
 * Added list processing functions
 *
 * Revision 1.13  1998/01/11 15:44:15  inaky
 * Finished functions from the descriptor, inteface and endpoint modules,
 * fixed docs, pretty printed and removed craps.
 *
 * Revision 1.12  1998/01/08 12:19:08  inaky
 * Added copyright strings to all important files
 *
 * Revision 1.11  1998/01/02 00:12:15  inaky
 * Finished the new driver scheme. Documented at usbd-drv.c
 *
 * Revision 1.10  1997/12/30 20:15:42  inaky
 * Moved everything to the new lists scheme. Untested yet.
 *
 * Revision 1.9  1997/12/27 18:10:32  inaky
 * *** empty log message ***
 *
 * Revision 1.8  1997/12/27 16:44:24  inaky
 * Moving to GDLF and fixinf docs. Removing more cruft.
 *
 * Revision 1.7  1997/12/27 14:01:14  inaky
 * Added the symbols exported by usb-pci.c
 *
 * Revision 1.6  1997/12/27 02:07:01  inaky
 * Moving everything to use the GDLF for logging and debug checkings.
 * Removed the global array of USB hosts and moved it to a linked
 * list. Added an address field to each USB host controller.
 * Removed lots of cruft that were accumulated and useless. Still some
 * missing, but may be useful someday.
 *
 * Revision 1.5  1997/12/27 02:05:59  inaky
 * Moving everything to use the GDLF for logging and debug checkings.
 * Removed the global array of USB hosts and moved it to a linked
 * list. Added an address field to each USB host controller.
 * Removed lots of cruft that were accumulated and useless. Still some
 * missing, but may be useful someday.
 *
 * Revision 1.4  1997/12/08 02:40:58  inaky
 * Fixed some stuff of the #includes, modified the makefile targets to be
 * more flexible, tried to finish the device configuration section.
 *
 * Revision 1.3  1997/12/06 01:55:48  inaky
 * Now finishing the configuration system
 *
 * Revision 1.2  1997/11/29 20:21:48  inaky
 * Documented and almost fixes the read/write/abort API, documented a
 * damn lot and implemented some stuff
 *
 * Revision 1.1  1997/10/02 21:29:00  inaky
 * Remade all the directory structure to make it cleaner when the USB
 * class drivers come.
 *
 * Revision 1.1  1997/02/22 22:25:44  inaky
 * *** empty log message ***
 *
 *
 */


