
/* Universal USB Driver Stack v$Revision: 1.6 $ 
 *
 * (C) 1997 by Iaky Prez Gonzlez <inaky@peloncho.fis.ucm.es>
 *
 * Distributed under the terms of the GNU Public License Version 2
 * See files COPYRIGHT and COPYING at the root distribution directory
 *
 * $Id: usbd-3slist.c,v 1.6 1998/11/14 17:15:05 inaky Exp $
 *
 * Changelog at the bottom 
 *
 *
 *  USB Driver - Devices section - 3slist implementation
 *  ----------------------------------------------------
 */

#include <uusbd/usb.h>
#include <uusbd/usbd.h>

#define GDLF_IDENT          "USB-3SLIST"
#define GDLF_LOCAL          /* Define if want local settings */
#define GDLF_DEF_LOGLEVEL   9
#define GDLF_ASSERTIONS     /* want assertions (#undef if not) */
#undef GDLF_FNTRACE        /* want function traces */
#define GDLF_LOCATIONS      /* want locations in log messages */
#include <uusbd/gdlf.h>

#define NLISTS 3

    /*
     * Implement a triple node multiple single-linked list 
     */

#define s_Nslist            slist_stk(s_,NLISTS,slist)
#define s_Nsnode            slist_stk(s_,NLISTS,snode)
#define ts_Nslist           slist_stk(ts_,NLISTS,slist)
#define ts_Nslist_clean     slist_stk(ts_,NLISTS,slist_clean)
#define ts_Nslist_del       slist_stk(ts_,NLISTS,slist_del)
#define ts_Nslist_del_fast  slist_stk(ts_,NLISTS,slist_del_fast)
#define ts_Nslist_release      slist_stk(ts_,NLISTS,slist_release)
#define ts_Nslist_printk    slist_stk(ts_,NLISTS,slist_printk)
#define ts_Nslist_init      slist_stk(ts_,NLISTS,slist_init)
#define ts_Nslist_next      slist_stk(ts_,NLISTS,snode_next)
#define ts_Nslist_last      slist_stk(ts_,NLISTS,slist_last)
#define ts_Nslist_prep      slist_stk(ts_,NLISTS,slist_prep)
#define ts_Nslist_move      slist_stk(ts_,NLISTS,slist_move)
#define ts_Nslist_append    slist_stk(ts_,NLISTS,slist_append)
#define ts_Nslist_prev      slist_stk(ts_,NLISTS,slist_prev)
#define ts_Nsnode           slist_stk(ts_,NLISTS,snode)
#define ts_Nsnode_clean     slist_stk(ts_,NLISTS,snode_clean)
#define ts_Nsnode_release      slist_stk(ts_,NLISTS,snode_release)
#define ts_Nsnode_printk    slist_stk(ts_,NLISTS,snode_printk)
#define ts_Nsnode_init      slist_stk(ts_,NLISTS,snode_init)
#define ts_Nsnode_next      slist_stk(ts_,NLISTS,snode_next)
#define ts_Nsnode_ref       slist_stk(ts_,NLISTS,snode_ref)
#define ts_Nsnode_unref     slist_stk(ts_,NLISTS,snode_unref)

ts_msnode_implement;
ts_mslist_implement;


/* Log:
 *
 * $Log: usbd-3slist.c,v $
 * Revision 1.6  1998/11/14 17:15:05  inaky
 * Moved the include files to uusbd/include/uusbd, to ease integration
 * into the Linux kernel.
 *
 * Revision 1.5  1998/08/27 22:14:55  inaky
 * Removed traces.
 *
 * Revision 1.4  1998/08/27 11:08:33  inaky
 * Moved ts_*_free() to ts_*_release(), made them return void and severed
 * assertions.
 *
 * Revision 1.3  1998/08/24 02:23:04  inaky
 * Added printk functions.
 *
 * Revision 1.2  1998/03/28 19:29:57  inaky
 * Removed inclusion of usb-methods.h and fixed some declarations for the
 * implementation of the 3slist.
 *
 * Revision 1.1  1998/02/12 13:52:42  inaky
 * Moved the 3slist implementation code to a separate file
 *
 */

